weixin_39872624
weixin_39872624
2020-12-28 13:02

.Appimage file in Ubuntu not working

Hello, in Ubuntu after download .appimage file, I apply the settings to make the file executable. However after double click nothing happen. Also tryed via terminal with your command line but it's not working. Nothing happen, the application doesn't open. Anyone can help with a step by step solution?

该提问来源于开源项目:LedgerHQ/ledger-live-desktop

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

8条回答

  • weixin_39872624 weixin_39872624 4月前

    Sorry, this is a better image

    captura_terminal_2

    点赞 评论 复制链接分享
  • weixin_39641257 weixin_39641257 4月前

    Ye, so you did chmod (aka change permission of the file) But not you need to run the app :p

    
    $ ./ledger-live-desktop-1.15.0-linux-x86_64.AppImage 
    
    点赞 评论 复制链接分享
  • weixin_39872624 weixin_39872624 4月前

    Oh sorry. After that I get the following:

    ./ledger-live-desktop-1.15.0-linux-x86_64.AppImage /tmp/.mount_ledgerUDS9vn/ledger-live-desktop: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

    点赞 评论 复制链接分享
  • weixin_39641257 weixin_39641257 4月前

    Here is what I get after googling your error

    https://stackoverflow.com/questions/38935024/error-while-loading-shared-libraries-libgtk-x11-2-0-so-0

    Can you try?

    点赞 评论 复制链接分享
  • weixin_39872624 weixin_39872624 4月前

    Hey, you helped me even if not with the correct solution :)

    Look, I didn't understood so well why I should install Electron - from your previous link - , so searching for another solution, found simply to type this: apt-get install libgtk2.0-0

    After this, Ledger Live loaded properly, but with the following error message: Gtk-Message: Failed to load module "canberra-gtk-module"

    Following instructions in some other thread, and just did this: apt-get install libcanberra-gtk-module

    Now Ledger Live is loading perfectly and without error messages.

    THANKS for the help anyway!

    点赞 评论 复制链接分享
  • weixin_39641257 weixin_39641257 4月前

    Glad you figured out! Closing :)

    点赞 评论 复制链接分享
  • weixin_39872624 weixin_39872624 4月前

    Hello, thanks for the answer. Is like nothing happen, look:

    captura_terminal

    点赞 评论 复制链接分享
  • weixin_39641257 weixin_39641257 4月前

    Hello! Can you precise exactly what is happening when you are launching it from the terminal? Here is the expected output:

    1570000507

    
    $ chmod +x ledger-live-desktop-1.15.0-linux-x86_64.AppImage 
    $ ./ledger-live-desktop-1.15.0-linux-x86_64.AppImage 
    Ledger Live 1.15.0
    Checking for update
    Update for version 1.15.0 is not available (latest version: 1.15.0, downgrade is disallowed).
    
    点赞 评论 复制链接分享

相关推荐